org.jetbrains.annotations

## Annotation Type NotNull

    @Documented
    @Retention(value=CLASS)
    @Target(value={METHOD,FIELD,PARAMETER,LOCAL_VARIABLE})
    public @interface NotNull

An element annotated with NotNull claims `null` value is forbidden to return (for methods), pass to (parameters) and hold (local variables and fields). Apart from documentation purposes this annotation is intended to be used by static analysis tools to validate against probable runtime errors and element contract violations.

### Optional Element Summary

Optional Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Default:
  ""

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016